Page MenuHomePhabricator

Note the CC0 nature of structured data in the Commons page footer
Closed, ResolvedPublic

Description

Wikimedia general text:

Text is available under the Creative Commons Attribution-ShareAlike License; additional terms may apply. See Terms of Use for details.

Wikidata text:

All structured data from the main, property and lexeme namespaces is available under the Creative Commons CC0 Licence; text in the other namespaces is available under the Creative Commons Attribution-ShareAlike License; additional terms may apply. By using this site, you agree to the Terms of Use and Privacy Policy.

Commons text to use:

Files are available under licenses specified on their description page. All structured data from the file and property namespaces is available under the Creative Commons CC0 Licence; all unstructured text is available under the Creative Commons Attribution-ShareAlike License; additional terms may apply. By using this site, you agree to the Terms of Use and Privacy Policy.

Event Timeline

Change 488584 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikimediaMessages@master] onSkinCopyrightFooter: Add bespoke message for Commons with Structured Data

https://gerrit.wikimedia.org/r/488584

This is a great idea 💡, regarding the Wikidata Terms of Use text it could also simply be added, right? Or would the legal division of the Wikimedia Foundation be consulted first?

I'm working with Legal. It's important that users do not manually try to achieve this by editing the MediaWiki namespace messages, as the message needs to be available in all languages to all users via the normal message translation system.

Jdforrester-WMF moved this task from To Do to Doing on the SDC Engineering board.Feb 7 2019, 8:02 PM

Change 488584 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] onSkinCopyrightFooter: Add bespoke message for Commons with Structured Data

https://gerrit.wikimedia.org/r/488584

Abit added subscribers: Keegan, Abit.Feb 20 2019, 1:18 AM

@Keegan says we have enough translations to roll out the footer

Ramsey-WMF closed this task as Resolved.Feb 28 2019, 6:51 PM

Live on production and working fine

greg added a project: Multimedia.Mar 7 2019, 10:59 PM